Bug 976743 - Race condition in openlmi-service provider
Race condition in openlmi-service provider
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openlmi-providers (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 922084
  Show dependency treegraph
 
Reported: 2013-06-21 06:59 EDT by Robin Hack
Modified: 2014-09-11 07:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 07:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openlmi-service-race.patch - Patch for review. (1.45 KB, patch)
2013-06-21 06:59 EDT, Robin Hack
no flags Details | Diff

  None (edit)
Description Robin Hack 2013-06-21 06:59:17 EDT
Created attachment 763749 [details]
openlmi-service-race.patch - Patch for review.

Description of problem:
Race condition windows in handling output from service command.

I rewrote Service_Operation function. But i don't tested nor compiled this patch. It's only how-to/idea how to do things like this.
Patch is simple output of git diff.

Version-Release number of selected component (if applicable):
openlmi-service provider: commit 7057f8c9ed6f51044a853710defde4ef14f2a340

How reproducible:
Always
Comment 1 Radek Novacek 2013-06-21 07:37:04 EDT
I have couple of notes to your report:

1) It is not clear what is the problem. Race condition when? Is the problem using mktemp instead of mkstemp? I would rather see detailed description of the problem instead of untested patch.

2) This provider (service) is nor compiled nor present in Fedora packages (with exception of Fedora 17). There is service-dbus provider which doesn't have this issue. Nevertheless this issue still needs to be addressed.
Comment 4 Fedora End Of Life 2013-09-16 10:14:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.